Bug 559450 - SELinux is preventing /usr/libexec/abrt-hook-python "create" access.
Summary: SELinux is preventing /usr/libexec/abrt-hook-python "create" access.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:0e1e631435f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-28 06:24 UTC by Ronald Canete
Modified: 2010-02-24 16:30 UTC (History)
107 users (show)

Fixed In Version: 3.6.32-84.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-11 14:40:55 UTC


Attachments (Terms of Use)

Description Ronald Canete 2010-01-28 06:24:40 UTC
Summary:

SELinux is preventing /usr/libexec/abrt-hook-python "create" access.

Detailed Description:

[abrt-hook-pytho has a permissive type (abrt_helper_t). This access was not
denied.]

SELinux denied access requested by abrt-hook-pytho. It is not expected that this
access is required by abrt-hook-pytho and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:abrt_helper_t:s0-s0:c0.c
                              1023
Target Context                unconfined_u:unconfined_r:abrt_helper_t:s0-s0:c0.c
                              1023
Target Objects                None [ unix_dgram_socket ]
Source                        abrt-hook-pytho
Source Path                   /usr/libexec/abrt-hook-python
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           abrt-addon-python-1.0.4-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-73.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31.12-174.2.3.fc12.i686.PAE #1 SMP Mon Jan 18
                              20:06:44 UTC 2010 i686 i686
Alert Count                   1
First Seen                    Thu 28 Jan 2010 09:26:24 AM AST
Last Seen                     Thu 28 Jan 2010 09:26:24 AM AST
Local ID                      08884532-709a-449d-8bff-17ed0f83a057
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1264659984.669:158): avc:  denied  { create } for  pid=6512 comm="abrt-hook-pytho" scontext=unconfined_u:unconfined_r:abrt_helper_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:abrt_helper_t:s0-s0:c0.c1023 tclass=unix_dgram_socket

node=(removed) type=SYSCALL msg=audit(1264659984.669:158): arch=40000003 syscall=102 success=yes exit=3 a0=1 a1=bffd355c a2=accff4 a3=1 items=0 ppid=6508 pid=6512 auid=500 uid=0 gid=0 euid=490 suid=490 fsuid=490 egid=0 sgid=0 fsgid=0 tty=pts1 ses=1 comm="abrt-hook-pytho" exe="/usr/libexec/abrt-hook-python" subj=unconfined_u:unconfined_r:abrt_helper_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-73.fc12,catchall,abrt-hook-pytho,abrt_helper_t,abrt_helper_t,unix_dgram_socket,create
audit2allow suggests:

#============= abrt_helper_t ==============
allow abrt_helper_t self:unix_dgram_socket create;

Comment 1 Miroslav Grepl 2010-01-28 09:38:11 UTC
Fixed in selinux-policy-3.6.32-78.fc12

selinux-policy-3.6.32-78.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-78.fc12

Comment 2 Fedora Update System 2010-02-03 23:18:54 UTC
selinux-policy-3.6.32-82.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-82.fc12

Comment 3 Fedora Update System 2010-02-05 01:43:23 UTC
selinux-policy-3.6.32-84.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1492

Comment 4 Fedora Update System 2010-02-11 14:36:05 UTC
selinux-policy-3.6.32-84.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.